summaryrefslogtreecommitdiffstats
path: root/bin/etc-update
diff options
context:
space:
mode:
Diffstat (limited to 'bin/etc-update')
-rwxr-xr-xbin/etc-update7
1 files changed, 5 insertions, 2 deletions
diff --git a/bin/etc-update b/bin/etc-update
index cd63ae14b..7b05f1137 100755
--- a/bin/etc-update
+++ b/bin/etc-update
@@ -236,10 +236,13 @@ sel_file() {
|| die "$(<"${TMP}"/input)\n\nUser termination!" 0
input=$(<"${TMP}"/input)
fi
+ : ${input:=0}
- parse_automode_flag ${input} || continue
+ if [[ ${input} != 0 ]] ; then
+ parse_automode_flag ${input} || continue
+ fi
fi # -3 automerge
- if [[ ${input:-0} == 0 ]] ; then
+ if [[ ${input} == 0 ]] ; then
input=${isfirst}
fi
done